LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request DELETE "$LAGO_URL/api/v1/plans/:code" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.plans.destroy('code')
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new({api_key: '__YOUR_API_KEY__'})
client.plans.destroy('code')
await client.plans.destroyPlan('code')
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().
SetApiKey("__YOUR_API_KEY__")
plan, err := lagoClient.Plan().Delete("__YOUR_PLAN_CODE__")
if err != nil {
// Error is *lago.Error
panic(err)
}
// plan is *lago.Plan
fmt.Println(plan)
}
using System.Collections.Generic;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;
namespace Example
{
public class DestroyPlanExample
{
public static void Main()
{
Configuration.Default.BasePath = "https://api.getlago.com/api/v1";
// Configure HTTP bearer authorization: bearerAuth
Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";
var apiInstance = new PlansApi(Configuration.Default);
var code = "example_code"; // string | Code of the existing plan
try
{
// Delete a plan
Plan result = apiInstance.DestroyPlan(code);
Debug.WriteLine(result);
}
catch (ApiException e)
{
Debug.Print("Exception when calling PlansApi.DestroyPlan: " + e.Message );
Debug.Print("Status Code: "+ e.ErrorCode);
Debug.Print(e.StackTrace);
}
}
}
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');
// Configure Bearer authorization: bearerAuth
$config = OpenAPI\Client\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');
$apiInstance = new OpenAPI\Client\Api\PlansApi(
// If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
// This is optional, `GuzzleHttp\Client` will be used as default.
new GuzzleHttp\Client(),
$config
);
$code = "example_code"; // string | Code of the existing plan
try {
$result = $apiInstance->destroyPlan($code);
print_r($result);
} catch (Exception $e) {
echo 'Exception when calling PlansApi->destroyPlan: ', $e->getMessage(), PHP_EOL;
}